Index: code/branches/core6/src/orxonox/graphics/Camera.h
===================================================================
--- code/branches/core6/src/orxonox/graphics/Camera.h	(revision 9628)
+++ code/branches/core6/src/orxonox/graphics/Camera.h	(revision 9629)
@@ -46,5 +46,5 @@
 
         public:
-            Camera(BaseObject* creator);
+            Camera(Context* context);
             virtual ~Camera();
 
Index: code/branches/core6/src/orxonox/graphics/FadingBillboard.cc
===================================================================
--- code/branches/core6/src/orxonox/graphics/FadingBillboard.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/graphics/FadingBillboard.cc	(revision 9629)
@@ -36,5 +36,5 @@
     CreateFactory(FadingBillboard);
 
-    FadingBillboard::FadingBillboard(BaseObject* creator) : Billboard(creator)
+    FadingBillboard::FadingBillboard(Context* context) : Billboard(context)
     {
         RegisterObject(FadingBillboard);
Index: code/branches/core6/src/orxonox/graphics/FadingBillboard.h
===================================================================
--- code/branches/core6/src/orxonox/graphics/FadingBillboard.h	(revision 9628)
+++ code/branches/core6/src/orxonox/graphics/FadingBillboard.h	(revision 9629)
@@ -42,5 +42,5 @@
     {
         public:
-            FadingBillboard(BaseObject* creator);
+            FadingBillboard(Context* context);
             virtual ~FadingBillboard();
 
Index: code/branches/core6/src/orxonox/graphics/GlobalShader.cc
===================================================================
--- code/branches/core6/src/orxonox/graphics/GlobalShader.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/graphics/GlobalShader.cc	(revision 9629)
@@ -38,5 +38,5 @@
     CreateFactory(GlobalShader);
 
-    GlobalShader::GlobalShader(BaseObject* creator) : BaseObject(creator), Synchronisable(creator)
+    GlobalShader::GlobalShader(Context* context) : BaseObject(context), Synchronisable(context)
     {
         RegisterObject(GlobalShader);
Index: code/branches/core6/src/orxonox/graphics/GlobalShader.h
===================================================================
--- code/branches/core6/src/orxonox/graphics/GlobalShader.h	(revision 9628)
+++ code/branches/core6/src/orxonox/graphics/GlobalShader.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
         public:
-            GlobalShader(BaseObject* creator);
+            GlobalShader(Context* context);
             virtual ~GlobalShader();
 
Index: code/branches/core6/src/orxonox/graphics/Light.cc
===================================================================
--- code/branches/core6/src/orxonox/graphics/Light.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/graphics/Light.cc	(revision 9629)
@@ -49,5 +49,5 @@
     BOOST_STATIC_ASSERT((int)Ogre::Light::LT_SPOTLIGHT   == (int)Light::Spotlight);
 
-    Light::Light(BaseObject* creator) : StaticEntity(creator)
+    Light::Light(Context* context) : StaticEntity(context)
     {
         RegisterObject(Light);
Index: code/branches/core6/src/orxonox/graphics/Light.h
===================================================================
--- code/branches/core6/src/orxonox/graphics/Light.h	(revision 9628)
+++ code/branches/core6/src/orxonox/graphics/Light.h	(revision 9629)
@@ -53,5 +53,5 @@
 
         public:
-            Light(BaseObject* creator);
+            Light(Context* context);
             virtual ~Light();
 
Index: code/branches/core6/src/orxonox/graphics/MeshLodInformation.cc
===================================================================
--- code/branches/core6/src/orxonox/graphics/MeshLodInformation.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/graphics/MeshLodInformation.cc	(revision 9629)
@@ -40,6 +40,6 @@
     CreateFactory(MeshLodInformation);
 
-    MeshLodInformation::MeshLodInformation(BaseObject* creator)
-    : BaseObject(creator), lodLevel_(5), bEnabled_(true), numLevels_(10), reductionRate_(0.15f)
+    MeshLodInformation::MeshLodInformation(Context* context)
+    : BaseObject(context), lodLevel_(5), bEnabled_(true), numLevels_(10), reductionRate_(0.15f)
     {
         RegisterObject(MeshLodInformation);
Index: code/branches/core6/src/orxonox/graphics/MeshLodInformation.h
===================================================================
--- code/branches/core6/src/orxonox/graphics/MeshLodInformation.h	(revision 9628)
+++ code/branches/core6/src/orxonox/graphics/MeshLodInformation.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
         public:
-            MeshLodInformation(BaseObject* creator);
+            MeshLodInformation(Context* context);
             virtual ~MeshLodInformation();
 
Index: code/branches/core6/src/orxonox/graphics/Model.cc
===================================================================
--- code/branches/core6/src/orxonox/graphics/Model.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/graphics/Model.cc	(revision 9629)
@@ -43,6 +43,6 @@
     CreateFactory(Model);
 
-    Model::Model(BaseObject* creator) :
-        StaticEntity(creator), bCastShadows_(true), lodLevel_(5), bLodEnabled_(true), numLodLevels_(10), lodReductionRate_(.15f)
+    Model::Model(Context* context) :
+        StaticEntity(context), bCastShadows_(true), lodLevel_(5), bLodEnabled_(true), numLodLevels_(10), lodReductionRate_(.15f)
     {
         RegisterObject(Model);
Index: code/branches/core6/src/orxonox/graphics/Model.h
===================================================================
--- code/branches/core6/src/orxonox/graphics/Model.h	(revision 9628)
+++ code/branches/core6/src/orxonox/graphics/Model.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
         public:
-            Model(BaseObject* creator);
+            Model(Context* context);
             virtual ~Model();
 
Index: code/branches/core6/src/orxonox/graphics/ParticleEmitter.cc
===================================================================
--- code/branches/core6/src/orxonox/graphics/ParticleEmitter.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/graphics/ParticleEmitter.cc	(revision 9629)
@@ -45,5 +45,5 @@
     CreateFactory(ParticleEmitter);
 
-    ParticleEmitter::ParticleEmitter(BaseObject* creator) : StaticEntity(creator)
+    ParticleEmitter::ParticleEmitter(Context* context) : StaticEntity(context)
     {
         RegisterObject(ParticleEmitter);
Index: code/branches/core6/src/orxonox/graphics/ParticleEmitter.h
===================================================================
--- code/branches/core6/src/orxonox/graphics/ParticleEmitter.h	(revision 9628)
+++ code/branches/core6/src/orxonox/graphics/ParticleEmitter.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            ParticleEmitter(BaseObject* creator);
+            ParticleEmitter(Context* context);
             virtual ~ParticleEmitter();
 
Index: code/branches/core6/src/orxonox/graphics/ParticleSpawner.cc
===================================================================
--- code/branches/core6/src/orxonox/graphics/ParticleSpawner.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/graphics/ParticleSpawner.cc	(revision 9629)
@@ -39,5 +39,5 @@
     CreateFactory(ParticleSpawner);
 
-    ParticleSpawner::ParticleSpawner(BaseObject* creator) : ParticleEmitter(creator)
+    ParticleSpawner::ParticleSpawner(Context* context) : ParticleEmitter(context)
     {
         RegisterObject(ParticleSpawner);
Index: code/branches/core6/src/orxonox/graphics/ParticleSpawner.h
===================================================================
--- code/branches/core6/src/orxonox/graphics/ParticleSpawner.h	(revision 9628)
+++ code/branches/core6/src/orxonox/graphics/ParticleSpawner.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            ParticleSpawner(BaseObject* creator);
+            ParticleSpawner(Context* context);
             virtual ~ParticleSpawner();
 
Index: code/branches/core6/src/orxonox/infos/Bot.cc
===================================================================
--- code/branches/core6/src/orxonox/infos/Bot.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/infos/Bot.cc	(revision 9629)
@@ -40,5 +40,5 @@
     CreateFactory(Bot);
 
-    Bot::Bot(BaseObject* creator) : PlayerInfo(creator)
+    Bot::Bot(Context* context) : PlayerInfo(context)
     {
         RegisterObject(Bot);
Index: code/branches/core6/src/orxonox/infos/Bot.h
===================================================================
--- code/branches/core6/src/orxonox/infos/Bot.h	(revision 9628)
+++ code/branches/core6/src/orxonox/infos/Bot.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            Bot(BaseObject* creator);
+            Bot(Context* context);
             virtual ~Bot();
 
Index: code/branches/core6/src/orxonox/infos/GametypeInfo.cc
===================================================================
--- code/branches/core6/src/orxonox/infos/GametypeInfo.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/infos/GametypeInfo.cc	(revision 9629)
@@ -65,5 +65,5 @@
         Registers and initializes the object.
     */
-    GametypeInfo::GametypeInfo(BaseObject* creator) : Info(creator)
+    GametypeInfo::GametypeInfo(Context* context) : Info(context)
     {
         RegisterObject(GametypeInfo);
Index: code/branches/core6/src/orxonox/infos/GametypeInfo.h
===================================================================
--- code/branches/core6/src/orxonox/infos/GametypeInfo.h	(revision 9628)
+++ code/branches/core6/src/orxonox/infos/GametypeInfo.h	(revision 9629)
@@ -58,5 +58,5 @@
 
         public:
-            GametypeInfo(BaseObject* creator);
+            GametypeInfo(Context* context);
             virtual ~GametypeInfo();
 
Index: code/branches/core6/src/orxonox/infos/HumanPlayer.cc
===================================================================
--- code/branches/core6/src/orxonox/infos/HumanPlayer.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/infos/HumanPlayer.cc	(revision 9629)
@@ -43,5 +43,5 @@
     CreateUnloadableFactory(HumanPlayer);
 
-    HumanPlayer::HumanPlayer(BaseObject* creator) : PlayerInfo(creator)
+    HumanPlayer::HumanPlayer(Context* context) : PlayerInfo(context)
     {
         RegisterObject(HumanPlayer);
@@ -183,5 +183,5 @@
         if (this->isLocalPlayer() && !this->humanHudTemplate_.empty() && GameMode::showsGraphics())
         {
-            this->humanHud_ = new OverlayGroup(this);
+            this->humanHud_ = new OverlayGroup(this->getContext());
             this->humanHud_->addTemplate(this->humanHudTemplate_);
             this->humanHud_->setOwner(this);
@@ -199,5 +199,5 @@
         if (this->isLocalPlayer() && !this->gametypeHudTemplate_.empty())
         {
-            this->gametypeHud_ = new OverlayGroup(this);
+            this->gametypeHud_ = new OverlayGroup(this->getContext());
             this->gametypeHud_->addTemplate(this->gametypeHudTemplate_);
             this->gametypeHud_->setOwner(this);
Index: code/branches/core6/src/orxonox/infos/HumanPlayer.h
===================================================================
--- code/branches/core6/src/orxonox/infos/HumanPlayer.h	(revision 9628)
+++ code/branches/core6/src/orxonox/infos/HumanPlayer.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            HumanPlayer(BaseObject* creator);
+            HumanPlayer(Context* context);
             virtual ~HumanPlayer();
 
Index: code/branches/core6/src/orxonox/infos/Info.cc
===================================================================
--- code/branches/core6/src/orxonox/infos/Info.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/infos/Info.cc	(revision 9629)
@@ -32,5 +32,5 @@
 namespace orxonox
 {
-    Info::Info(BaseObject* creator) : BaseObject(creator), Synchronisable(creator)
+    Info::Info(Context* context) : BaseObject(context), Synchronisable(context)
     {
         RegisterObject(Info);
Index: code/branches/core6/src/orxonox/infos/Info.h
===================================================================
--- code/branches/core6/src/orxonox/infos/Info.h	(revision 9628)
+++ code/branches/core6/src/orxonox/infos/Info.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            Info(BaseObject* creator);
+            Info(Context* context);
             virtual ~Info() {}
     };
Index: code/branches/core6/src/orxonox/infos/PlayerInfo.cc
===================================================================
--- code/branches/core6/src/orxonox/infos/PlayerInfo.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/infos/PlayerInfo.cc	(revision 9629)
@@ -40,5 +40,5 @@
 namespace orxonox
 {
-    PlayerInfo::PlayerInfo(BaseObject* creator) : Info(creator)
+    PlayerInfo::PlayerInfo(Context* context) : Info(context)
     {
         RegisterObject(PlayerInfo);
@@ -136,5 +136,5 @@
             this->controller_ = 0;
         }
-        this->controller_ = this->defaultController_.fabricate(this);
+        this->controller_ = this->defaultController_.fabricate(this->getContext());
         assert(this->controller_);
         this->controller_->setPlayer(this);
Index: code/branches/core6/src/orxonox/infos/PlayerInfo.h
===================================================================
--- code/branches/core6/src/orxonox/infos/PlayerInfo.h	(revision 9628)
+++ code/branches/core6/src/orxonox/infos/PlayerInfo.h	(revision 9629)
@@ -41,5 +41,5 @@
     { // tolua_export
         public:
-            PlayerInfo(BaseObject* creator);
+            PlayerInfo(Context* context);
             virtual ~PlayerInfo();
 
Index: code/branches/core6/src/orxonox/items/Engine.cc
===================================================================
--- code/branches/core6/src/orxonox/items/Engine.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/items/Engine.cc	(revision 9629)
@@ -46,5 +46,5 @@
         Constructor. Registers and initializes the object.
     */
-    Engine::Engine(BaseObject* creator) : Item(creator)
+    Engine::Engine(Context* context) : Item(context)
     {
         RegisterObject(Engine);
Index: code/branches/core6/src/orxonox/items/Engine.h
===================================================================
--- code/branches/core6/src/orxonox/items/Engine.h	(revision 9628)
+++ code/branches/core6/src/orxonox/items/Engine.h	(revision 9629)
@@ -56,5 +56,5 @@
     {
         public:
-            Engine(BaseObject* creator);
+            Engine(Context* context);
             virtual ~Engine();
 
Index: code/branches/core6/src/orxonox/items/Item.cc
===================================================================
--- code/branches/core6/src/orxonox/items/Item.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/items/Item.cc	(revision 9629)
@@ -32,5 +32,5 @@
 namespace orxonox
 {
-    Item::Item(BaseObject* creator) : BaseObject(creator), Synchronisable(creator)
+    Item::Item(Context* context) : BaseObject(context), Synchronisable(context)
     {
         RegisterObject(Item);
Index: code/branches/core6/src/orxonox/items/Item.h
===================================================================
--- code/branches/core6/src/orxonox/items/Item.h	(revision 9628)
+++ code/branches/core6/src/orxonox/items/Item.h	(revision 9629)
@@ -40,5 +40,5 @@
     {
         public:
-            Item(BaseObject* creator);
+            Item(Context* context);
             virtual ~Item() {}
     };
Index: code/branches/core6/src/orxonox/items/MultiStateEngine.cc
===================================================================
--- code/branches/core6/src/orxonox/items/MultiStateEngine.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/items/MultiStateEngine.cc	(revision 9629)
@@ -51,5 +51,5 @@
     CreateFactory(MultiStateEngine);
 
-    MultiStateEngine::MultiStateEngine(BaseObject* creator) : Engine(creator)
+    MultiStateEngine::MultiStateEngine(Context* context) : Engine(context)
     {
         RegisterObject(MultiStateEngine);
@@ -57,6 +57,6 @@
         if (GameMode::isMaster())
         {
-            this->defEngineSndNormal_ = new WorldSound(this);
-            this->defEngineSndBoost_  = new WorldSound(this);
+            this->defEngineSndNormal_ = new WorldSound(this->getContext());
+            this->defEngineSndBoost_  = new WorldSound(this->getContext());
             this->defEngineSndNormal_->setLooping(true);
             this->defEngineSndBoost_->setLooping(true);
Index: code/branches/core6/src/orxonox/items/MultiStateEngine.h
===================================================================
--- code/branches/core6/src/orxonox/items/MultiStateEngine.h	(revision 9628)
+++ code/branches/core6/src/orxonox/items/MultiStateEngine.h	(revision 9629)
@@ -49,5 +49,5 @@
             };
 
-            MultiStateEngine(BaseObject* creator);
+            MultiStateEngine(Context* context);
             virtual ~MultiStateEngine();
 
Index: code/branches/core6/src/orxonox/overlays/GUISheet.cc
===================================================================
--- code/branches/core6/src/orxonox/overlays/GUISheet.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/overlays/GUISheet.cc	(revision 9629)
@@ -38,6 +38,6 @@
     CreateFactory(GUISheet);
 
-    GUISheet::GUISheet(BaseObject* creator)
-        : BaseObject(creator)
+    GUISheet::GUISheet(Context* context)
+        : BaseObject(context)
         , bShowOnLoad_(false)
         , bHidePrevious_(false)
Index: code/branches/core6/src/orxonox/overlays/GUISheet.h
===================================================================
--- code/branches/core6/src/orxonox/overlays/GUISheet.h	(revision 9628)
+++ code/branches/core6/src/orxonox/overlays/GUISheet.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
     public:
-        GUISheet(BaseObject* creator);
+        GUISheet(Context* context);
         ~GUISheet();
 
Index: code/branches/core6/src/orxonox/overlays/OrxonoxOverlay.cc
===================================================================
--- code/branches/core6/src/orxonox/overlays/OrxonoxOverlay.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/overlays/OrxonoxOverlay.cc	(revision 9629)
@@ -63,6 +63,6 @@
     SetConsoleCommand("OrxonoxOverlay", "rotateOverlay",    &OrxonoxOverlay::rotateOverlay);
 
-    OrxonoxOverlay::OrxonoxOverlay(BaseObject* creator)
-        : BaseObject(creator)
+    OrxonoxOverlay::OrxonoxOverlay(Context* context)
+        : BaseObject(context)
     {
         RegisterObject(OrxonoxOverlay);
Index: code/branches/core6/src/orxonox/overlays/OrxonoxOverlay.h
===================================================================
--- code/branches/core6/src/orxonox/overlays/OrxonoxOverlay.h	(revision 9628)
+++ code/branches/core6/src/orxonox/overlays/OrxonoxOverlay.h	(revision 9629)
@@ -87,5 +87,5 @@
 
     public:
-        OrxonoxOverlay(BaseObject* creator);
+        OrxonoxOverlay(Context* context);
         virtual ~OrxonoxOverlay();
 
Index: code/branches/core6/src/orxonox/overlays/OverlayGroup.cc
===================================================================
--- code/branches/core6/src/orxonox/overlays/OverlayGroup.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/overlays/OverlayGroup.cc	(revision 9629)
@@ -48,6 +48,6 @@
     SetConsoleCommand("OverlayGroup", "scrollGroup",      &OverlayGroup::scrollGroup);
 
-    OverlayGroup::OverlayGroup(BaseObject* creator)
-        : BaseObject(creator)
+    OverlayGroup::OverlayGroup(Context* context)
+        : BaseObject(context)
     {
         RegisterObject(OverlayGroup);
Index: code/branches/core6/src/orxonox/overlays/OverlayGroup.h
===================================================================
--- code/branches/core6/src/orxonox/overlays/OverlayGroup.h	(revision 9628)
+++ code/branches/core6/src/orxonox/overlays/OverlayGroup.h	(revision 9629)
@@ -54,5 +54,5 @@
     {
     public:
-        OverlayGroup(BaseObject* creator);
+        OverlayGroup(Context* context);
         //! Empty destructor.
         ~OverlayGroup();
Index: code/branches/core6/src/orxonox/sound/WorldAmbientSound.cc
===================================================================
--- code/branches/core6/src/orxonox/sound/WorldAmbientSound.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/sound/WorldAmbientSound.cc	(revision 9629)
@@ -38,5 +38,5 @@
     CreateFactory(WorldAmbientSound);
 
-    WorldAmbientSound::WorldAmbientSound(BaseObject* creator) : BaseObject(creator), Synchronisable(creator)
+    WorldAmbientSound::WorldAmbientSound(Context* context) : BaseObject(context), Synchronisable(context)
     {
         RegisterObject(WorldAmbientSound);
Index: code/branches/core6/src/orxonox/sound/WorldAmbientSound.h
===================================================================
--- code/branches/core6/src/orxonox/sound/WorldAmbientSound.h	(revision 9628)
+++ code/branches/core6/src/orxonox/sound/WorldAmbientSound.h	(revision 9629)
@@ -44,5 +44,5 @@
     {
         public:
-            WorldAmbientSound(BaseObject* creator);
+            WorldAmbientSound(Context* context);
             virtual ~WorldAmbientSound();
 
Index: code/branches/core6/src/orxonox/sound/WorldSound.cc
===================================================================
--- code/branches/core6/src/orxonox/sound/WorldSound.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/sound/WorldSound.cc	(revision 9629)
@@ -43,6 +43,6 @@
     CreateFactory(WorldSound);
 
-    WorldSound::WorldSound(BaseObject* creator)
-        : StaticEntity(creator)
+    WorldSound::WorldSound(Context* context)
+        : StaticEntity(context)
     {
         RegisterObject(WorldSound);
Index: code/branches/core6/src/orxonox/sound/WorldSound.h
===================================================================
--- code/branches/core6/src/orxonox/sound/WorldSound.h	(revision 9628)
+++ code/branches/core6/src/orxonox/sound/WorldSound.h	(revision 9629)
@@ -45,5 +45,5 @@
     {
     public:
-        WorldSound(BaseObject* creator);
+        WorldSound(Context* context);
 
         void XMLPort(Element& xmlelement, XMLPort::Mode mode);
Index: code/branches/core6/src/orxonox/weaponsystem/DefaultWeaponmodeLink.cc
===================================================================
--- code/branches/core6/src/orxonox/weaponsystem/DefaultWeaponmodeLink.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/weaponsystem/DefaultWeaponmodeLink.cc	(revision 9629)
@@ -37,5 +37,5 @@
     CreateFactory(DefaultWeaponmodeLink);
 
-    DefaultWeaponmodeLink::DefaultWeaponmodeLink(BaseObject* creator) : BaseObject(creator)
+    DefaultWeaponmodeLink::DefaultWeaponmodeLink(Context* context) : BaseObject(context)
     {
         RegisterObject(DefaultWeaponmodeLink);
Index: code/branches/core6/src/orxonox/weaponsystem/DefaultWeaponmodeLink.h
===================================================================
--- code/branches/core6/src/orxonox/weaponsystem/DefaultWeaponmodeLink.h	(revision 9628)
+++ code/branches/core6/src/orxonox/weaponsystem/DefaultWeaponmodeLink.h	(revision 9629)
@@ -39,5 +39,5 @@
     {
         public:
-            DefaultWeaponmodeLink(BaseObject* creator);
+            DefaultWeaponmodeLink(Context* context);
             virtual ~DefaultWeaponmodeLink();
 
Index: code/branches/core6/src/orxonox/weaponsystem/Munition.cc
===================================================================
--- code/branches/core6/src/orxonox/weaponsystem/Munition.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/weaponsystem/Munition.cc	(revision 9629)
@@ -37,5 +37,5 @@
     CreateFactory(Munition);
 
-    Munition::Munition(BaseObject* creator) : BaseObject(creator)
+    Munition::Munition(Context* context) : BaseObject(context)
     {
         RegisterObject(Munition);
Index: code/branches/core6/src/orxonox/weaponsystem/Munition.h
===================================================================
--- code/branches/core6/src/orxonox/weaponsystem/Munition.h	(revision 9628)
+++ code/branches/core6/src/orxonox/weaponsystem/Munition.h	(revision 9629)
@@ -56,5 +56,5 @@
 
         public:
-            Munition(BaseObject* creator);
+            Munition(Context* context);
             virtual ~Munition();
 
Index: code/branches/core6/src/orxonox/weaponsystem/Weapon.cc
===================================================================
--- code/branches/core6/src/orxonox/weaponsystem/Weapon.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/weaponsystem/Weapon.cc	(revision 9629)
@@ -41,5 +41,5 @@
     CreateFactory(Weapon);
 
-    Weapon::Weapon(BaseObject* creator) : StaticEntity(creator)
+    Weapon::Weapon(Context* context) : StaticEntity(context)
     {
         RegisterObject(Weapon);
Index: code/branches/core6/src/orxonox/weaponsystem/Weapon.h
===================================================================
--- code/branches/core6/src/orxonox/weaponsystem/Weapon.h	(revision 9628)
+++ code/branches/core6/src/orxonox/weaponsystem/Weapon.h	(revision 9629)
@@ -42,5 +42,5 @@
     {
         public:
-            Weapon(BaseObject* creator);
+            Weapon(Context* context);
             virtual ~Weapon();
 
Index: code/branches/core6/src/orxonox/weaponsystem/WeaponMode.cc
===================================================================
--- code/branches/core6/src/orxonox/weaponsystem/WeaponMode.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/weaponsystem/WeaponMode.cc	(revision 9629)
@@ -45,5 +45,5 @@
 namespace orxonox
 {
-    WeaponMode::WeaponMode(BaseObject* creator) : BaseObject(creator)
+    WeaponMode::WeaponMode(Context* context) : BaseObject(context)
     {
         RegisterObject(WeaponMode);
@@ -75,5 +75,5 @@
         if( GameMode::isMaster() )
         {
-            this->defSndWpnFire_ = new WorldSound(this);
+            this->defSndWpnFire_ = new WorldSound(this->getContext());
             this->defSndWpnFire_->setLooping(false);
             this->bSoundAttached_ = false;
Index: code/branches/core6/src/orxonox/weaponsystem/WeaponMode.h
===================================================================
--- code/branches/core6/src/orxonox/weaponsystem/WeaponMode.h	(revision 9628)
+++ code/branches/core6/src/orxonox/weaponsystem/WeaponMode.h	(revision 9629)
@@ -44,5 +44,5 @@
     {
         public:
-            WeaponMode(BaseObject* creator);
+            WeaponMode(Context* context);
             virtual ~WeaponMode();
 
Index: code/branches/core6/src/orxonox/weaponsystem/WeaponPack.cc
===================================================================
--- code/branches/core6/src/orxonox/weaponsystem/WeaponPack.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/weaponsystem/WeaponPack.cc	(revision 9629)
@@ -40,5 +40,5 @@
     CreateFactory(WeaponPack);
 
-    WeaponPack::WeaponPack(BaseObject* creator) : BaseObject(creator)
+    WeaponPack::WeaponPack(Context* context) : BaseObject(context)
     {
         RegisterObject(WeaponPack);
Index: code/branches/core6/src/orxonox/weaponsystem/WeaponPack.h
===================================================================
--- code/branches/core6/src/orxonox/weaponsystem/WeaponPack.h	(revision 9628)
+++ code/branches/core6/src/orxonox/weaponsystem/WeaponPack.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
         public:
-            WeaponPack(BaseObject* creator);
+            WeaponPack(Context* context);
             virtual ~WeaponPack();
 
Index: code/branches/core6/src/orxonox/weaponsystem/WeaponSet.cc
===================================================================
--- code/branches/core6/src/orxonox/weaponsystem/WeaponSet.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/weaponsystem/WeaponSet.cc	(revision 9629)
@@ -39,5 +39,5 @@
     CreateFactory(WeaponSet);
 
-    WeaponSet::WeaponSet(BaseObject* creator) : BaseObject(creator)
+    WeaponSet::WeaponSet(Context* context) : BaseObject(context)
     {
         RegisterObject(WeaponSet);
Index: code/branches/core6/src/orxonox/weaponsystem/WeaponSet.h
===================================================================
--- code/branches/core6/src/orxonox/weaponsystem/WeaponSet.h	(revision 9628)
+++ code/branches/core6/src/orxonox/weaponsystem/WeaponSet.h	(revision 9629)
@@ -41,5 +41,5 @@
     {
         public:
-            WeaponSet(BaseObject* creator);
+            WeaponSet(Context* context);
             virtual ~WeaponSet();
 
Index: code/branches/core6/src/orxonox/weaponsystem/WeaponSlot.cc
===================================================================
--- code/branches/core6/src/orxonox/weaponsystem/WeaponSlot.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/weaponsystem/WeaponSlot.cc	(revision 9629)
@@ -39,5 +39,5 @@
     CreateFactory(WeaponSlot);
 
-    WeaponSlot::WeaponSlot(BaseObject* creator) : StaticEntity(creator)
+    WeaponSlot::WeaponSlot(Context* context) : StaticEntity(context)
     {
         RegisterObject(WeaponSlot);
Index: code/branches/core6/src/orxonox/weaponsystem/WeaponSlot.h
===================================================================
--- code/branches/core6/src/orxonox/weaponsystem/WeaponSlot.h	(revision 9628)
+++ code/branches/core6/src/orxonox/weaponsystem/WeaponSlot.h	(revision 9629)
@@ -57,5 +57,5 @@
     {
         public:
-            WeaponSlot(BaseObject* creator);
+            WeaponSlot(Context* context);
             virtual ~WeaponSlot();
 
Index: code/branches/core6/src/orxonox/weaponsystem/WeaponSystem.cc
===================================================================
--- code/branches/core6/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 9628)
+++ code/branches/core6/src/orxonox/weaponsystem/WeaponSystem.cc	(revision 9629)
@@ -48,5 +48,5 @@
     CreateFactory(WeaponSystem);
 
-    WeaponSystem::WeaponSystem(BaseObject* creator) : BaseObject(creator)
+    WeaponSystem::WeaponSystem(Context* context) : BaseObject(context)
     {
         RegisterObject(WeaponSystem);
@@ -308,5 +308,5 @@
         else if (identifier->getIdentifier()->isA(Class(Munition)))
         {
-            Munition* munition = identifier->fabricate(this);
+            Munition* munition = identifier->fabricate(this->getContext());
             this->munitions_[identifier->getIdentifier()] = munition;
             return munition;
Index: code/branches/core6/src/orxonox/weaponsystem/WeaponSystem.h
===================================================================
--- code/branches/core6/src/orxonox/weaponsystem/WeaponSystem.h	(revision 9628)
+++ code/branches/core6/src/orxonox/weaponsystem/WeaponSystem.h	(revision 9629)
@@ -43,5 +43,5 @@
     {
         public:
-            WeaponSystem(BaseObject* creator);
+            WeaponSystem(Context* context);
             virtual ~WeaponSystem();
 
